diff -Naur crm114.orig/crm114-20100106/debian/changelog crm114/crm114-20100106/debian/changelog
--- crm114.orig/crm114-20100106/debian/changelog	2014-08-06 13:38:44.746903300 -0500
+++ crm114/crm114-20100106/debian/changelog	2014-08-06 13:47:40.606912632 -0500
@@ -1,3 +1,10 @@
+crm114 (20100106-6) unstable; urgency=low
+
+  * Fix FTBFS clang
+    - Fixed undefined reference error in
+      crm_svm_matrix.h
+ -- Arthur Marble <arthur@info9.net>  Wed, 06 Aug 2014 13:47:40 -0500
+
 crm114 (20100106-5) unstable; urgency=low
 
   * Function declaration conflicts fixed; closes: #748029.
diff -Naur crm114.orig/crm114-20100106/debian/patches/clang-ftbfs.diff crm114/crm114-20100106/debian/patches/clang-ftbfs.diff 
--- crm114.orig/crm114-20100106/debian/patches/clang-ftbfs.diff	1969-12-31 18:00:00.000000000 -0600
+++ crm114/crm114-20100106/debian/patches/clang-ftbfs.diff	2014-08-06 13:46:27.626911361 -0500
@@ -0,0 +1,30 @@
+--- a/crm_svm_matrix.h
++++ b/crm_svm_matrix.h
+@@ -141,14 +141,14 @@ Vector *vector_make(unsigned int dim, Ve
+ Vector *vector_make_size(unsigned int dim, VectorType type, int compact, 
+ 			 int init_size);
+ void vector_copy(Vector *from, Vector *to);
+-inline void vector_set(Vector *v, unsigned int i, double d);
+-inline double vector_get(Vector *v, unsigned int i);
++void vector_set(Vector *v, unsigned int i, double d);
++double vector_get(Vector *v, unsigned int i);
+ void vector_add_col(Vector *v);
+ void vector_add_ncols(Vector *v, unsigned int n);
+ void vector_remove_col(Vector *v, unsigned int c);
+-inline int vector_iszero(Vector *V);
++int vector_iszero(Vector *V);
+ int vector_equals(Vector *v1, Vector *v2);
+-inline void vector_zero(Vector *v);
++void vector_zero(Vector *v);
+ void vector_add(Vector *v1, Vector *v2, Vector *ret);
+ void vector_multiply(Vector *v, double s, Vector *ret);
+ double dot(Vector *v1, Vector *v2);
+@@ -182,7 +182,7 @@ static inline double vector_dist(Vector
+ void vectorit_zero_elt(VectorIterator *vit, Vector *v);
+ void vectorit_insert(VectorIterator *vit, unsigned int c, double d, Vector *v);
+ void vectorit_find(VectorIterator *vit, unsigned int c, Vector *v);
+-inline void vectorit_set_col(VectorIterator vit, unsigned int c, Vector *v);
++void vectorit_set_col(VectorIterator vit, unsigned int c, Vector *v);
+ 
+ //defined in this file - forced to be inline'd at high optimization
+ MY_INLINE void vectorit_set_at_beg(VectorIterator *vit, Vector *v);
diff -Naur crm114.orig/crm114-20100106/debian/patches/series crm114/crm114-20100106/debian/patches/series 
--- crm114.orig/crm114-20100106/debian/patches/series	2014-08-06 13:38:44.746903300 -0500
+++ crm114/crm114-20100106/debian/patches/series	2014-08-06 13:39:00.650903577 -0500
@@ -5,3 +5,4 @@
 paths.patch
 mailfilter-typo.patch
 function-conflict.patch
+clang-ftbfs.diff
